## org.gjt.sp.jedit.indent
Class IndentAction.Decrease

    java.lang.Object
      org.gjt.sp.jedit.indent.IndentAction.Decrease

All Implemented Interfaces:
  IndentAction

Enclosing interface:
  IndentAction

    public static class IndentAction.Decrease

extends java.lang.Object
implements IndentAction

Nested Class Summary

Nested classes/interfaces inherited from interface org.gjt.sp.jedit.indent.IndentAction
`IndentAction.AlignOffset, IndentAction.AlignParameter, IndentAction.Collapse, IndentAction.Decrease, IndentAction.Increase, IndentAction.NoIncrease, IndentAction.Reset`

Field Summary

Fields inherited from interface org.gjt.sp.jedit.indent.IndentAction
`PrevCollapse, PrevPrevCollapse`

Constructor Summary
`IndentAction.Decrease()`

Method Summary
`int` `calculateIndent(JEditBuffer buffer, int line, int oldIndent, int newIndent)`
`boolean` `keepChecking()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndentAction.Decrease

    public IndentAction.Decrease()

Method Detail

### calculateIndent

    public int calculateIndent(JEditBuffer buffer,
                               int line,
                               int oldIndent,
                               int newIndent)

  Specified by:
    `calculateIndent` in interface `IndentAction`
  Parameters:
    `buffer` - The buffer
    `line` - The line number that matched the rule; not necessarily the line being indented.
    `oldIndent` - Original indent.
    `newIndent` - The new indent -- ie, indent returned by previous indent action.

### keepChecking

    public boolean keepChecking()

  Specified by:
    `keepChecking` in interface `IndentAction`
  Returns:
    true if the indent engine should keep processing after this rule.